crc32.h File Reference
Ancillary functions and macros

Provides ancillary code to calculate DVB crc32 checksum. More...

`#include <stdint.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Functions

uint32_t | dvb_crc32 (uint8_t *data, size_t datalen, uint32_t crc)
| Calculates the crc-32 as defined at the MPEG-TS specs.

## Detailed Description

Provides ancillary code to calculate DVB crc32 checksum.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file crc32.h.